using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
/// Open eVision Namespace
using Euresys.Open_eVision_1_2;

namespace LotMixingLearn

{
    public partial class CharClassAndCodeForm : Form
    {
        public CharClassAndCodeForm()
        {
            InitializeComponent();
            ResetParameters();
            
        }

        private void CharClassAndCodeForm_Load(object sender, EventArgs e)
        {

        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Hide();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Hide();
        }

        public void ResetParameters( )
        {
	        //UpdateData(TRUE);

	        textBoxCharCode.Text = "";
	        checkBoxDigit.Checked = false;
            checkBoxUpperCase.Checked = false;
            checkBoxLowerCase.Checked = false;
        }


        public void GetParameters(out string charCode, out int classes )
        {
            charCode = textBoxCharCode.Text;
            classes = (checkBoxDigit.Checked ? (int)EOCRClass.Digit : 0) | (checkBoxUpperCase.Checked ? (int)EOCRClass.UpperCase : 0) | (checkBoxLowerCase.Checked ? (int)EOCRClass.LowerCase : 0);
         }


    }
}